Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 194617 - Setting Value of Cell to NULL or DEFAULT fails
Setting Value of Cell to NULL or DEFAULT fails
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Show Data
7.0
PC Linux
: P3 (vote)
: 7.0
Assigned To: Jiri Rechtacek
issues@db
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-22 20:14 UTC by matthias42
Modified: 2011-02-02 06:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Remove the editor component from the NULL/Default set paths (2.71 KB, patch)
2011-01-22 20:16 UTC, matthias42
Details | Diff
Corrected patch (previous diff was done in wrong order) (3.30 KB, patch)
2011-01-23 16:20 UTC, matthias42
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias42 2011-01-22 20:14:57 UTC
Hello,

when editting data, I noticed first, that I was unable to set the column to NULL via the Keyboard Shortcut (STRG+0). This was a INT-Column on mysql, with default NULL. The Cell-Editor was opened and a warning was generated and the value was not set to null.

See the attached patch, which does what I would expected an circumvents the editor problem. I don't see a real reason for initializing the Cell-Editor (it should be the modells responsibility to invoke a view-update), at at least my initial test were ok.

Thanks

Matthias
Comment 1 matthias42 2011-01-22 20:16:05 UTC
Created attachment 105271 [details]
Remove the editor component from the NULL/Default set paths
Comment 2 matthias42 2011-01-23 16:20:59 UTC
Created attachment 105282 [details]
Corrected patch (previous diff was done in wrong order)
Comment 3 Jiri Rechtacek 2011-01-24 13:31:39 UTC
Thanks for your patch, I'll review and test it and let you know.
Comment 4 Jiri Kovalsky 2011-01-24 14:09:59 UTC
Added to list [1] of community contributed bug fixes. Thanks for your patch Matthias!

[1] http://wiki.netbeans.org/NetFIXIssues
Comment 5 Jiri Rechtacek 2011-02-01 09:27:06 UTC
Thank you for patch, has been applied in core-main/rev/aa46871834d9
Comment 6 Quality Engineering 2011-02-02 06:18:47 UTC
Integrated into 'main-golden', will be available in build *201102020000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/aa46871834d9
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #194617: Setting Value of Cell to NULL or DEFAULT fails;
applied matthias42's patch


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo